function out=concatimages(out,in)
%in is a search string that identifies all the files. It follows regular
%expressions. A wildcard is .* or *. In MATLAB, wildcards are only .*. The
%programs checks for this and replaces * with .*.
%out is the output file name

if isempty(strfind(in,'.*')) && ~isempty(strfind(in,'*'))
    in=regexprep(in,'\*','.*');
end
    
Images=[];
[ImagesTmp, sts] = spm_select('ExtFPList',pwd,in,Inf);
if isempty(ImagesTmp)
    disp('No files, check in variable')
    return
end
if ~sts 
    return; 
else
    Images=strvcat(Images,ImagesTmp);
end
hdr=spm_vol(Images);
hdro=hdr;
for ii=1:size(Images,1)
        img=spm_read_vols(hdr(ii));
        hdro(ii).fname=[pwd filesep out];
        hdro(ii).n=[ii 1];
        spm_write_vol(hdro(ii),img(:,:,:,1));
end
end